Name:           janus-gateway
Version:        1.2.4
Release:        2%{?dist}
Summary:        Janus WebRTC Gateway

Group:          System Environment/Daemons
License:        GPLv3+
URL:            https://janus.conf.meetecho.com/
Source0:        https://github.com/meetecho/janus-gateway/archive/v%{version}.tar.gz
Source1:        janus.service
# Local patches
Patch1000:      1000-Fix-libnice-debugging.patch
Patch1001:      1001-Do-not-reinject-remote-candidates-back-in-libnice.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

BuildRequires:  openssl-devel
BuildRequires:  jansson-devel
BuildRequires:  libconfig-devel
BuildRequires:  libnice-devel
BuildRequires:  libsrtp-devel
BuildRequires:  gengetopt
BuildRequires:  libwebsockets-devel
BuildRequires:  opus-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  sofia-sip-devel
BuildRequires:  nanomsg-devel
BuildRequires:  libusrsctp-devel
BuildRequires:  libcurl-devel
# for post-processing
BuildRequires:  ffmpeg-devel

%description
Janus is an open source, general purpose, WebRTC gateway designed and developed
by Meetecho. This version of the gateway can only be installed on Linux
systems: next versions will take into account cross compilation on different
environments.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.

%prep
%setup -q
# Local patches
%patch -P1000 -p1
%patch -P1001 -p1

%build
autoreconf --verbose --force --install
%configure --disable-static --with-pic --enable-post-processing \
        --disable-rabbitmq --disable-docs
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT configs
rm -f $RPM_BUILD_ROOT%{_libdir}/janus/*/*.la
chmod -R o-rwx $RPM_BUILD_ROOT%{_sysconfdir}/janus

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/janus.service

%pre
getent group janus &>/dev/null || groupadd -r janus
getent passwd janus &>/dev/null || \
    /usr/sbin/useradd -r -g janus -s /sbin/nologin -c "Janus Gateway" \
        -d / janus

%post
%systemd_post janus.service

%preun
%systemd_preun janus.service

%postun
%systemd_postun_with_restart janus.service

%files
%doc COPYING CHANGELOG.md README.md
%config(noreplace) %attr(-, janus, janus) %{_sysconfdir}/janus
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/janus
%{_datadir}/janus
%{_unitdir}/janus.service

%files devel
%{_includedir}/janus

%changelog
* Sat Jan 18 2025 Fabrice Bellet <fabrice@bellet.info> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 04 2024 Fabrice Bellet <fabrice@bellet.info> - 1.2.4-1
- new upstream release

* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 23 2023 Fabrice Bellet <fabrice@bellet.info> - 1.1.2-2
- Rebuilt for newer ffmpeg

* Sat Jan 21 2023 Fabrice Bellet <fabrice@bellet.info> - 1.1.2-1
- New upstream release

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Fabrice Bellet <fabrice@bellet.info> - 1.1.1-1
- New upstream release
- Make gcc happy with conditionnal operator

* Wed Jul 27 2022 Fabrice Bellet <fabrice@bellet.info> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 16 2022 Fabrice Bellet <fabrice@bellet.info> - 1.0.1-1
- New upstream release

* Thu May 12 2022 Fabrice Bellet <fabrice@bellet.info> - 0.11.5-3
- Rebuilt for newer libwebsockets
- Remove unneeded codec configuration in janus-pp-rec (fixes #2833)

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 0.11.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Fabrice Bellet <fabrice@bellet.info> - 0.11.5-1
- New upstream release

* Fri Jul 23 2021 Fabrice Bellet <fabrice@bellet.info> - 0.10.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fabrice Bellet <fabrice@bellet.info> - 0.10.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Fabrice Bellet <fabrice@bellet.info> - 0.10.9-1
- New upstream release
- Close nice agent resources asynchronously
- Do not reinject remote candidates back in libnice

* Thu Dec 10 2020 Fabrice Bellet <fabrice@bellet.info> - 0.10.8-3
- Add BR libcurl-devel

* Wed Dec 09 2020 Fabrice Bellet <fabrice@bellet.info> - 0.10.8-2
- Increased size of buffer used to render new prflx candidates (fixes #2480)

* Fri Dec 04 2020 Fabrice Bellet <fabrice@bellet.info> - 0.10.8-1
- New upstream release
- Fix libnice debugging

* Sun Mar 22 2020 Fabrice Bellet <fabrice@bellet.info> - 0.8.2-1
- Initial package for Fedora
